cURL
curl --request GET \
--url https://api.cradl.ai/{basePath}/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cradl.ai/{basePath}/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cradl.ai/{basePath}/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"models": [
{
"updatedTime": "<string>",
"metadata": {},
"updatedBy": "<string>",
"trainingId": "<string>",
"modelId": "<string>",
"description": "<string>",
"fieldConfig": {},
"organizationId": "<string>",
"preprocessConfig": {
"trimMargins": true,
"useGhostScript": true,
"startPage": 123,
"pages": [
123
],
"usePoppler": true,
"padToFit": true,
"useTextDetection": true,
"maxPages": 50,
"deskewImage": true,
"autoRotate": true
},
"createdBy": "<string>",
"numberOfRunningTrainings": 1,
"name": "<string>",
"numberOfDataBundles": 1,
"createdTime": "<string>",
"postprocessConfig": {
"strategy": "BEST_FIRST"
},
"version": 1,
"updatedFieldConfigTime": "<string>",
"statistics": {}
}
],
"nextToken": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}API Reference
List Models
List Models
GET
/
models
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
⌘I